Subject: [Sipping] call-id definition in RFC4235

From: Joël Repiquet <[email-masked]>
Date: Mon, 05 Dec 2005 13:40:53 +0100

Hi,

"call-id" ABNF rule is defined in RFC4235 (INVITE-Initiated Dialog Event Package for SIP) as an Event Package parameter. However, "Call-ID" is already defined in RFC3261 as a Header field, and ABNF rule names are case-insensitive. Another rule name should be used.

Besides, "from-tag" and "to-tag" Event Package parameters are already defined in RFC3891 with the"Replaces" header field. In this case, the definitions are the same and it does not matter: it is just redundancy.

Regards

Joël

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Rohan Mahy <[email-masked]>
Date: Mon, 5 Dec 2005 08:31:42 -0800

Hi Joel,

The production name in RFC 4325 is supposed to be "callid".  I fixed 
this in authors 48 hours, but apparently the change did not stick.  I 
will investigate and writeup an errata if necessary.

thanks,
-rohan

On Dec 5, 2005, at 4:40, Joël Repiquet wrote:
> Hi,
>
> "call-id" ABNF rule is defined in RFC4235 (INVITE-Initiated Dialog 
> Event Package for SIP) as an Event Package parameter. However, 
> "Call-ID" is already defined in RFC3261 as a Header field, and ABNF 
> rule names are case-insensitive. Another rule name should be used.
>
> Besides, "from-tag" and "to-tag" Event Package parameters are already 
> defined in RFC3891 with the"Replaces" header field. In this case, the 
> definitions are the same and it does not matter: it is just 
> redundancy.
>
> Regards
>
> Joël 
>